KISS - Kerbal Improved Save System
==================================

is an add-on for the game Kerbal Space Program that provides an improved "Save game as..." mechanic while in flight.

The KISS window is activated by pressing **"F8"** and provides the same functionality as the stock "Quicksave as..." dialog (*"MOD"+"F5"*) for creating named savegames. In addition KISS provides the following improvements:

1.  The suggested name for the new savegame is the current timestamp and the name of the active vessel (ship) (*"YYYYMMDD_hhmmss-{vesselName}"*) instead of the generic *"quicksave [#{number}]"* pattern.
2.  It lists all existing savegames for your current game and allows you to select a previous savegame to overwrite it.

In other words **KISS** allows you to overwrite or create a variation of a previous quicksave without the need to memorize quicksave names and without having to type the full name every time!

### Current version: 1.1.1 ###
for Kerbal Space Program 1.1.3


See [changelog.txt] (https://github.com/KerbalSpike/KerbalImprovedSaveSystem/blob/develop/changelog.txt) for list of changes.  
Visit the [Development Thread] (http://forum.kerbalspaceprogram.com/index.php?/topic/136799-105-kiss-kerbal-improved-save-system-development-thread/) to tell me what you think about KISS.

#### Planned updates ("soon" :tm: ): ####
* add confirmation dialog before overwriting existing files.
* make keyboard shortcut configurable OR make KISS replace the stock quicksave entirely.
* let players choose between system time and game time for the timestamp.
* make KISS also available in the space center.

#### Possible future extensions: ####
* provide a similar functionality for saving crafts in the editor (VAB/SPH). 
